/**
 * 序号：1
 * 功能：定义分页(EasyUI)
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：无需更改
 **/
var ls_width = $(window).width();
var ls_height = $(window).height();

var local_page=1;
var rows=20;
var listPageSize = [10,20,50,100,500,1000];
var queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
var tab_n = 0;

//重置分页参数
function resetQueryData(){
	queryData = "";
	queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
}
/****/

/**
 * 序号：2
 * 功能：构建下拉框内容
 * 参数：
 * 说明：方便新增、修改页面里的下拉选项加载数据
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载调度器选择下拉框
//var v_quartz_scheduler = [{CODE_ID:'scheduler1',CODE_NAME:'1号调度器'},{CODE_ID:'scheduler2',CODE_NAME:'2号调度器'}];
//加载调度类型下拉框
//var v_quartz_type = [{CODE_ID:'0',CODE_NAME:'简单调度'},{CODE_ID:'1',CODE_NAME:'Cron高级调度'}];
//加载是否已加载下拉框
//var v_quartz_run = [{CODE_ID:'0',CODE_NAME:'未加载'},{CODE_ID:'1',CODE_NAME:'已加载'}];

/****/

/**
 * 序号：3
 * 功能：构建主页面列表
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//定义grid列表
$('#list').datagrid({
   title:"绑定应用列表",
   iconCls:$.getJwWindowPic(),
   url:'jwAppsMappingData_listTable',
   queryParams:{FIELD_tableName:'B_T_UFP_APPS',FIELD_IS_DELETE:0},
   rownumbers : true,//显示索引号
   singleSelect : false,//是否多选
   fitColumns : false,//是否撑满
   autoRowHeight : 30,//设定高度
   pagination : true,//分页显示
   pageSize : rows,//显示行数
   pageList : listPageSize,//条数选择
   striped : true, //是否隔行显示
   remoteSort : false,//是否从服务器排序
   frozenColumns : [[
			{
				field : 'ck',
				checkbox : true
			},
			{
				field : 'option',
				title : '操作',
				width : 80,
				align : 'center',
				formatter : formatMenu
			}
			       ]],
   columns:[[
			{
				field : 'APP_ID',
				title : '应用编码',
				width : 100,
				align : 'left'
			},
			{
				field : 'APP_NAME',
				title : '应用名称',
				width : 150,
				align : 'left'
			},
			{
				field : 'URL',
				title : '应用登录地址',
				width : 500,
				align : 'left'
			}
           ]],
           toolbar : '#tb',
	   	   onLoadSuccess : function() {
	   		 createOptionMenuTooltip(60);
	   	   }
});

/****/

/**
 * 序号：4
 * 功能：设置主页面操作列菜单
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//操用列显示更多(一般情况下无需更改)
function formatMenu(value, data,index) {
	var returnData="";
	return  returnData
	      + "<span class=\"icon-ext-moremenu\" style=\"padding-left:20px;*width:20px;\"></span>"
	      + "<span data-p1="+index+" class=\"easyui-tooltip\" style=\"color:blue;cursor:pointer;\">更多</span>";
}

//上浮横向菜单集里的具体菜单项(需更改)
function getOptionMenu(data,index){
	var returnData= "<span class=\"icon-edit\" style=\"padding-left:20px;*width:20px;\"></span><a href=\"javascript:void(0);\" onclick=\"editRow('"
		+ index + "')\">编辑</a>  |  <span class=\"icon-clear\" style=\"padding-left:20px;*width:20px;\"></span><a href=\"javascript:void(0);\" onclick=\"deleteRow('"
		+ index + "')\">删除</a>";
	return returnData;
}

//返回菜单集的菜单个数(需更改)
function getOptionMenuCount(){
	var is_menu_count = 2;
	return is_menu_count;
}

/****/

/**
 * 序号：5
 * 功能：新增修改弹出
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载增加子页面
function addRow(){
	var is_row={OPETYPE:'insert'};
	openEditRow("jwAppsMappingView_mappingAppdetailLoad",is_row,"新增",true,0.65,0.95,0,0);
}
//加载增加子页面成功后的回调
function addUrlOnloadCallback(is_row){
//	$('#SCHEDULER').combobox({
//		data : v_quartz_scheduler,
//		valueField : 'CODE_ID',
//		textField : 'CODE_NAME',
//		editable:false,  
//		panelHeight:'auto'
//	});
}
//保存
function insertData(is_entity){
//	is_entity.FIELD_START_DATE = strToDateObj(is_entity.FIELD_START_DATE);
//	is_entity.FIELD_END_DATE = strToDateObj(is_entity.FIELD_END_DATE);
	is_entity.FIELD_tableName='B_T_UFP_APPS';
	//is_entity.FIELD_UUID=is_entity.FIELD_APP_ID;
	var v_result = mapping1Module.mapping1ActAction.insertTable(is_entity);
	$('#list').datagrid('reload');
	return v_result;
}

//加载修改子页面
function editRow(index) {
	$('#list').datagrid('selectRow',index);
	var is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');
	is_row[0].OPETYPE = 'update';
	openEditRow("jwAppsMappingView_mappingAppdetailLoad",is_row[0],"编辑",true,0.65,0.95,0,0);	
}

//加载修改子页面成功后的回调
function updateUrlOnloadCallback(is_row){
}
//保存
function updateData(is_entity){
//	is_entity.FIELD_START_DATE = strToDateObj(is_entity.FIELD_START_DATE);
//	is_entity.FIELD_END_DATE = strToDateObj(is_entity.FIELD_END_DATE);
	is_entity.FIELD_tableName='B_T_UFP_APPS';
	v_result = mapping1Module.mapping1ActAction.updateTable(is_entity);
	$('#list').datagrid('reload');
	return v_result;
}

/****/

/**
 * 序号：6
 * 功能：单个删除
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function deleteRow(index){
	$('#list').datagrid('selectRow',index);
	
	var is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');

	var code = is_row[0].UUID;
	$.messager.confirm('提示', '确定删除?', function(r) {
		if (r) {
			var v_query = {};
		    v_query.deletekey = code;
		    v_query.FIELD_tableName='B_T_UFP_APPS';
		    var v_result = mapping1Module.mapping1ActAction.deleteTable(v_query);
			$.messager.alert('提示',v_result.VALUE);
			$('#list').datagrid('reload');
		}
	});
}
/****/

/**
 * 序号：7
 * 功能：批量删除
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function deleteBatchRow(){
	var code="";
	var rows = $('#list').datagrid('getSelections');
	
	if(rows == null || rows == ""){
		$.messager.alert('提示',"请选择需删除的记录!",'info');
		return;
	}
	for(var i=0; i<rows.length; i++){
		code = code + rows[i].UUID+",";
	}
	if(code.length>0){
		code = code.substring(0,code.length - 1);
	}
	$.messager.confirm('提示', '确定删除?', function(r) {
		if (r) {
			var v_query = {};
		    v_query.deletekey = code;
		    v_query.FIELD_tableName='B_T_UFP_APPS';
		    var v_result = mapping1Module.mapping1ActAction.deleteTable(v_query);
			$.messager.alert('提示',v_result.VALUE);
			$('#list').datagrid('reload');
		}
	});
}
/****/

/**
 * 序号：8
 * 功能：刷新
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function refreshRow(){
	var v_query={};
	v_query.FIELD_tableName='B_T_UFP_APPS';
	v_query.FIELD_IS_DELETE = '0';
	$('#list').datagrid('load',v_query);
	$("#mappingApplistLoad_searchForm")[0].reset();
}
/****/

/**
 * 序号：9
 * 功能：查询
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function searchRow(){
	var v_query = $("#mappingApplistLoad_searchForm").getFormVal();
	v_query.FIELD_tableName='B_T_UFP_APPS';
	v_query.FIELD_IS_DELETE = '0';
	$('#list').datagrid('load',v_query);
}
/****/
